import { exhibitionDetails,exhibitsList,ifpay} from '.././api/index.js'
import { Router } from "../../utils/common.js";
const App = getApp();
Page({
  data: {
    selectedSubmissionData: [],
    current:0,
    pages:0,
    exhibition:'',
    navTop:App.globalData.navTop,
    titleHeight:'',
    middleBox:'',
    imageUrl:'',
    list:[],
    pageNum:1,
    pageSize:3,
    keyWords:'',
    isLoading: false,
    newPage:0,
    total:0,
    pay:true,
    closeShow:false,
  },
  focusInput(event){
    const keyword = event.detail.value;
    //console.log(keyword,'keyword')
    this.setData({
        keyWords:keyword
    })
    if(keyword != ''){
        this.setData({
            closeShow:true,
        })
    }else{
        this.setData({
            closeShow:false,
        })
    }
  },
  emptyInput(){
    this.setData({
        current:0,
        keyWords:"",
        closeShow:false
    })
    this.getList();
  },
//   是否付费
 ifpay(){
    var now = new Date();
    //console.log(now,"now")
    var exhibition_id = wx.getStorageSync('exhibition_id')
    ifpay({
        exhibitionId:exhibition_id
    }).then(res=>{
            if(res.data.data){
                const currentTimeStamp = Date.now();
                const specifiedTimeStamp = new Date(res.data.data.endTime).getTime();
                if (currentTimeStamp < specifiedTimeStamp ) {
                    console.log('当前日期在指定日期之前');
                    this.setData({
                        pay:false
                    })
                  } else {
                    console.log('当前日期在指定日期之后或与指定日期相等');
                  }
                
            }
    })
 },
  // loadMore(){
  //   //触发上划加载更多时的回调函数
  //   if (this.data.total > 0  ) {
  //       this.setData({
  //           pageNum: this.data.pageNum + 1
  //       });
  //       this.getList();
  //     }
  // },
  getList(){
      let that = this
      let exhibition_id = wx.getStorageSync('exhibition_id')
      let { current } = that.data
      let selectedSubmissionData = that.data.selectedSubmissionData
      setTimeout(() => {
        // 展品
        exhibitsList({
            exhibitionId:exhibition_id,
            pageNum:current + 1,
            pageSize:that.data.pageSize,
            keyWords:that.data.keyWords,
        }).then(res =>{
          let current = res.data.pageNum,
              arr = res.data.data,
              pages = parseInt(res.data.total);
              that.setData({
                // list:res.data.data,
                selectedSubmissionData: [...selectedSubmissionData, ...arr],
                current:current,
                pages:pages
            })
        })
      }, 200);    
  },
  onReachBottom() {
    let that = this
    if (that.data.pages > 0) {
      that.getList()
    } else {
      wx.showToast({
        title: '没有更多了',
        icon: 'none',
        duration: 2000
      })
    }
  },
  onInputFocus:function(){
    this.data.current = 0
    this.data.selectedSubmissionData = []
    this.setData({
        keyWords:this.data.keyWords,
        pageNum:1,
    })
    this.getList();
  },
  getExhibition(){
      var that = this
    var exhibition_id = wx.getStorageSync('exhibition_id')
    exhibitionDetails(exhibition_id).then(res=>{
        that.setData({
            imageUrl : res.data.data.imgUrl[0].url,
            exhibition :res.data.data,
        })
       // console.log(res.data.data.type,"res.data.data.type")
        if(res.data.data.type != 'free'){
            // that.setData({
            //     pay:true
            // })
            that.ifpay()
        }else{
            that.setData({
                pay:false
            })
        }
    }).catch(err=>{ })
  },
  goDetails(){
    Router.navigateTo("../index/details/details");
  },
  goExhibits2(e){
    if(e.currentTarget.dataset.index == 0){
        wx.setStorage({
            key: 'exhibits_id',
            data: e.currentTarget.dataset.id,
          })
        Router.navigateTo("../index/exhibitDetails/details");
    }
  },
  goExhibits1(e){
    wx.setStorage({
        key: 'exhibits_id',
        data: e.currentTarget.dataset.id,
      })
    Router.navigateTo("../index/exhibitDetails/details");
  },
  goPaid:function(){
    Router.navigateTo("../index/paid/paid");
  },
  onLoad: function(options) {
    var that = this; 
    const query = wx.createSelectorQuery();
    var tHeight = ''
    var indexHeight = ''
    query.select('.title').boundingClientRect(function(res) {
      tHeight = res.height
    }).exec();
    query.select('.index').boundingClientRect(rect => {
        indexHeight = rect.height
    }).exec()
    //   console.log(indexHeight,"indexHeight")
    setTimeout(() => {
        // 延迟执行的操作
        that.setData({
            titleHeight:tHeight,
            middleBox:indexHeight - tHeight
        })
      }, 2000);
  },
  onShow(){
    setTimeout(() => {
        this.getExhibition()
        this.getList()
    },100)
  },
})