import request from '@/utils/request'

// 查询报警记录列表
export function listAlarm(query) {
  return request({
    url: '/ylxAlarm/getAlarmList',
    method: 'get',
    params: query
  })
}

// 查询报警记录详细
export function getAlarm(id) {
  return request({
    url: '/system/alarm/' + id,
    method: 'get'
  })
}

// 新增报警记录
export function addAlarm(data) {
  return request({
    url: '/system/alarm',
    method: 'post',
    data: data
  })
}

// 修改报警记录
export function updateAlarm(data) {
  return request({
    url: '/ylxAlarm/handleAlarm',
    method: 'post',
    data: data
  })
}

// 删除报警记录
export function delAlarm(data) {
  return request({
    url: '/ylxAlarm/deleteAlarm',
    method: 'post',
    data:data
  })
}
