import request from '@/utils/request'

// 查询评论列表
export function listComment(query) {
  return request({
    url: '/api/comment/v1/select',
    method: 'get',
    params: query
  })
}

// 查询评论详细
export function getComment(cId) {
  return request({
    url: '/system/comment/' + cId,
    method: 'get'
  })
}

// 新增评论
export function addComment(data) {
  return request({
    url: '/system/comment',
    method: 'post',
    data: data
  })
}

// 修改评论
export function updateComment(data) {
  return request({
    url: '/system/comment',
    method: 'put',
    data: data
  })
}

// 删除评论
export function delComment(data) {
  return request({
    url: '/api/comment/v1/delete',
    method: 'post',
    data: data
  })
}
