import request from '@/utils/request'

// 查询投诉列表
export function listComplaint(query) {
  return request({
    url: '/complaint/selectAll',
    method: 'get',
    params: query
  })
}

// 查询投诉类型
export function complaintEnum(data) {
  return request({
    url: '/complaint/complaintEnum',
    method: 'post',
    data: data
  })
}

// 查询投诉详细
export function getComplaint(id) {
  return request({
    url: '/complaint/' + id,
    method: 'get'
  })
}

// 新增投诉
// export function addComplaint(data) {
//   return request({
//     url: '/system/complaint',
//     method: 'post',
//     data: data
//   })
// }

// 修改投诉
export function updateComplaint(data) {
  return request({
    url: '/complaint/update',
    method: 'put',
    data: data
  })
}

// 删除投诉
export function delComplaint(data) {
  return request({
    url: 'complaint/delete',
    method: 'post',
    data: data
  })
}
