import request from '@/utils/request'

// 查询技师列表
export function listJs(query) {
  return request({
    url: '/api/js/v1/select',
    method: 'get',
    params: query
  })
}

// 查询技师详细
export function getJs(cOpenId) {
  return request({
    url: '/api/js/v1/wx/getByid',
    method: 'post',
    data: cOpenId
  })
}

// 新增技师
export function addJs(data) {
  return request({
    url: '/api/js/v1/wx/add',
    method: 'post',
    data: data
  })
}

// 修改技师
export function updateJs(data) {
  return request({
    url: '/api/js/v1/wx/update',
    method: 'post',
    data: data
  })
}

// 添加评论
export function addComplaint(data) {
  return request({
    url: '/api/comment/v1/black/add',
    method: 'post',
    data: data
  })
}

// 获取项目
export function getProject(data) {
  return request({
    url: '/api/xiangmu/v1/wx/getAll',
    method: 'post',
    data: data
  })
}

// 删除技师
export function delJs(data) {
  return request({
    url: '/api/js/v1/del',
    method: 'post',
    data:data
  })
}
// 审核
export function auditJs(data) {
  return request({
    url: '/api/js/v1/auditing',
    method: 'post',
    data:data
  })
}
// 退回
export function repulseJs(data) {
  return request({
    url: '/api/js/v1/repulse',
    method: 'post',
    data:data
  })
}

// 上岗
export function changeWork(data) {
  return request({
    url: '/api/js/v1/wx/post',
    method: 'post',
    data:data
  })
}

// 上岗
export function block(data) {
  return request({
    url: '/api/js/v1/block',
    method: 'post',
    data:data
  })
}

// 獲取部門
export function getDept(data) {
  return request({
    url: '/system/dept/list',
    method: 'get',
    data:data
  })
}

// 技师数据
export function getJsData(query) {
  return request({
    url: '/tJsDay/selectAll',
    method: 'get',
    params:query
  })
}