import request from '@/utils/request'

// 查询订单列表
export function listOrder(data) {
  return request({
    url: '/api/order/v1/wx/getOrder',
    method: 'get',
    params: data
  })
}

// 查询认领详细
export function getOrder(data) {
  return request({
    url: '/api/order/v1/getByid' ,
    method: 'post',
    data:data,
  })
}

// 新增认领
export function addOrder(data) {
  return request({
    url: '/api/order/v1/wx/add',
    method: 'post',
    data: data
  })
}

// 修改认领
export function updateOrder(data) {
  return request({
    url: '/api/order/v1/update',
    method: 'post',
    data: data
  })
}

// 删除认领
export function delOrder(data) {
  return request({
    url: '/api/order/v1/del',
    method: 'post',
    data: data
  })
}

// 导出
export function exportOrder(data) {
  return request({
    url: '/api/order/v1/wx/export',
    method: 'get',
    data: data
  })
}

// 转单
export function transferOrder(data) {
  return request({
    url: '/api/order/v1/wx/transferOrder',
    method: 'post',
    data: data
  })
}

// 技师列表
export function getjsList(data) {
  return request({
    url: '/api/js/v1/wx/select',
    method: 'get',
    params: data
  })
}