import request from '@/utils/request'

// 查询提现列表
export function listRecord(query) {
  return request({
    url: '/api/tx/record/select',
    method: 'get',
    params: query
  })
}

// 查询提现详细
export function getRecord(cId) {
  return request({
    url: '/system/record/' + cId,
    method: 'get'
  })
}

// 新增提现
export function addRecord(data) {
  return request({
    url: '/system/record', 
    method: 'post',
    data: data
  })
}

// 修改提现
export function updateRecord(data) {
  return request({
    url: '/system/record',
    method: 'put',
    data: data
  })
}

// 删除提现
export function delRecord(cId) {
  return request({
    url: '/system/record/' + cId,
    method: 'delete'
  })
}
// 审核
export function auditRecord(data) {
  return request({
    url: '/api/tx/record/wx/auditing', 
    method: 'post',
    data: data
  })
}