import request from '@/utils/request'

// 查询微信用户列表
export function listUser(query) {
  return request({
    url: '/wx/pc/getUserList',
    method: 'get',
    params: query
  })
}

// 查询微信用户评论详情
export function tCommentUser(query) {
  return request({
    url: '/tCommentUser/selectAll',
    method: 'get',
    params: query
  })
}

// 查询微信用户详细
export function getUser(id) {
  return request({
    url: '/system/user/' + id,
    method: 'get'
  })
}

// 新增微信用户
export function addUser(data) {
  return request({
    url: '/system/user',
    method: 'post',
    data: data
  })
}

// 修改微信用户
export function updateUser(data) {
  return request({
    url: '/system/user',
    method: 'put',
    data: data
  })
}

// 删除微信用户
export function delUser(id) {
  return request({
    url: '/system/user/' + id,
    method: 'delete'
  })
}
